# game status
# 0 prepare 準備
# 1 wait 等待
# 2 run 運行
# 3 win 結束

execute as @e[type=marker,tag=lobby] at @s run spawnpoint @a ~ ~ ~
execute as @e[type=marker,tag=lobby] at @s run setworldspawn ~ ~ ~
kill @e[type=item,nbt={Item:{tag:{ui:1b}}}]

execute if score deathswap version matches 1.. run function deathswap:join
function deathswap:trigger
execute if score game status matches -1 run gamemode survival @a
execute if score game status matches 0 run function deathswap:prepare/prepare_time
execute if score game status matches 1 run function deathswap:wait/wait_time
execute if score game status matches 2 run function deathswap:play/play_time
execute if score game status matches 3 run function deathswap:end/end_time
execute if score game status matches 0..1 run scoreboard players reset @a death

execute as @a unless score @s win_score matches 1.. run scoreboard players set @s win_score 0

#bossbar
bossbar set deathswap:swap_time players @a[tag=spectator]
execute if score language setting matches 1 run bossbar set deathswap:swap_time name [{"text": "[Spectator] Swap countdown: "},{"score":{"name": "swap","objective": "timer"}},{"text": "s"}]
execute if score language setting matches 2 run bossbar set deathswap:swap_time name [{"text": "[旁觀者顯示]傳送時間倒數："},{"score":{"name": "swap","objective": "timer"}},{"text": "秒"}]

#display
execute if score language setting matches 1 run scoreboard objectives modify display displayname "§6DeathSwap"
execute if score language setting matches 2 run scoreboard objectives modify display displayname "§6死亡交換 DeathSwap"
scoreboard players set §dMade_By_vipvincent display -99

execute if score language setting matches 1 run scoreboard objectives modify win_score displayname "§eWins"
execute if score language setting matches 2 run scoreboard objectives modify win_score displayname "§e獲勝次數"
scoreboard players set §dMade_By_vipvincent win_score -99

kill @e[name="§e設置§c遊戲大廳"]
kill @e[name="§eSet §cGame lobby"]