# inventory
#  9b 10b 11b 12b 13b 14b 15b 16b 17b 
# 18b 19b 20b 21b 22b 23b 24b 25b 26b
# 27b 28b 29b 30b 31b 32b 33b 34b 35b
#  0b  1b  2b  3b  4b  5b  6b  7b  8b

#admin
##survival-creative
execute as @a[tag=admin,tag=!creative,gamemode=creative] run function deathswap:ui/changeto_creative
execute as @a[tag=admin,tag=creative,gamemode=!creative] run function deathswap:ui/changeto_survival
execute as @a[tag=admin,tag=!creative,gamemode=!creative,nbt=!{Inventory:[{Slot:0b,tag:{ui:1b}}]}] run function deathswap:ui/changeto_creative
execute as @a[tag=admin,tag=creative,gamemode=creative,nbt=!{Inventory:[{Slot:0b,tag:{ui:1b}}]}] run function deathswap:ui/changeto_survival

# inventory
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:9b,tag:{ui:1b}}]}] run function deathswap:setting/difficulty
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:18b,tag:{ui:1b}}]}] run function deathswap:setting/time
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:27b,tag:{ui:1b}}]}] run function deathswap:setting/weather
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:10b,tag:{ui:1b}}]}] run function deathswap:setting/time_cycle
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:11b,tag:{ui:1b}}]}] run function deathswap:setting/weather_cycle
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:19b,tag:{ui:1b}}]}] run function deathswap:setting/mobspawn
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:20b,tag:{ui:1b}}]}] run function deathswap:setting/hp_natural
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:21b,tag:{ui:1b}}]}] run function deathswap:setting/warn
execute if score warn setting matches 5 as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:21b,tag:{ui:1b},Count:5b}]}] run function deathswap:setting/warn
execute if score warn setting matches 10 as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:21b,tag:{ui:1b},Count:10b}]}] run function deathswap:setting/warn
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:22b,tag:{ui:1b}}]}] run function deathswap:setting/invincible
execute if score invincible setting matches 3 as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:22b,tag:{ui:1b},Count:3b}]}] run function deathswap:setting/invincible
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:12b,tag:{ui:1b}}]}] run function deathswap:setting/saturation
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:13b,tag:{ui:1b}}]}] run function deathswap:setting/night_vision
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:14b,tag:{ui:1b}}]}] run function deathswap:setting/glowing
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:23b,tag:{ui:1b}}]}] run function deathswap:setting/furnace
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:32b,tag:{ui:1b}}]}] run function deathswap:setting/lobbymode
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:30b,tag:{ui:1b}}]}] run function deathswap:setting/tool
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:31b,tag:{ui:1b}}]}] run function deathswap:setting/hp_adj
execute if score hp_adj setting matches 10 as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:31b,tag:{ui:1b},Count:10b}]}] run function deathswap:setting/hp_adj
execute if score hp_adj setting matches 20 as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:31b,tag:{ui:1b},Count:20b}]}] run function deathswap:setting/hp_adj
execute if score hp_adj setting matches 30 as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:31b,tag:{ui:1b},Count:30b}]}] run function deathswap:setting/hp_adj
execute if score hp_adj setting matches 40 as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:31b,tag:{ui:1b},Count:40b}]}] run function deathswap:setting/hp_adj
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:28b,tag:{ui:1b}}]}] run function deathswap:setting/team_collisionrule
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:29b,tag:{ui:1b}}]}] run function deathswap:setting/team_friendlyfire


execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:16b,tag:{ui:1b}}]}] run function deathswap:team/choose_team
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:25b,tag:{ui:1b}}]}] run function deathswap:team/clear_team
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:17b,tag:{ui:1b}}]}] run function deathswap:team/random_team_2/main
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:26b,tag:{ui:1b}}]}] run function deathswap:team/random_team_3/main
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:35b,tag:{ui:1b}}]}] run function deathswap:team/random_team_4/main

execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:24b,tag:{ui:1b}}]}] run function deathswap:ui/installed_components
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:15b,tag:{ui:1b}}]}] run function deathswap:ui/language
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:34b,tag:{ui:1b}}]}] run function deathswap:ui/reset_wins
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:33b,tag:{ui:1b}}]}] run function deathswap:setting/default


##hotbar
execute as @e[type=bee,tag=setlobby] at @s run function deathswap:ui/bee_lobby
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:7b,tag:{ui:1b}}]}] at @s run function deathswap:ui/bee_lobby
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:1b,tag:{ui:1b}}]}] run function deathswap:ui/tp
execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:8b,tag:{ui:1b}}]}] run function deathswap:prepare/checkstart

execute as @a[tag=admin,tag=!creative,nbt=!{Inventory:[{Slot:-106b,tag:{ui:1b},id:"minecraft:warped_fungus_on_a_stick"}]}] run function deathswap:ui/admin_ui

#main_right
execute as @a[tag=admin,gamemode=creative,scores={main_right_click=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{ui:1b}}}] run function deathswap:ui/changeto_survival
scoreboard players set @a main_right_click 0
#offhead_right
execute as @a[tag=admin,tag=!creative,scores={right_click=1},nbt={SelectedItem:{id:"minecraft:feather",tag:{ui:1b}}}] run function deathswap:ui/changeto_creative
execute as @a[tag=admin,tag=!creative,scores={right_click=1},nbt={SelectedItem:{id:"minecraft:bee_spawn_egg",tag:{ui:1b}}}] at @s run function deathswap:ui/bee_lobby
execute as @a[tag=admin,tag=!creative,scores={right_click=1},nbt={SelectedItem:{id:"minecraft:slime_ball",tag:{ui:1b}}}] run function deathswap:ui/tp
execute as @a[tag=admin,tag=!creative,scores={right_click=1},nbt={SelectedItem:{id:"minecraft:emerald",tag:{ui:1b}}}] run function deathswap:prepare/checkstart

execute as @a[tag=!creative,scores={right_click=1},nbt={SelectedItem:{id:"minecraft:red_dye",tag:{ui:1b}}}] run function deathswap:team/join/red
execute as @a[tag=!creative,scores={right_click=1},nbt={SelectedItem:{id:"minecraft:blue_dye",tag:{ui:1b}}}] run function deathswap:team/join/blue
execute as @a[tag=!creative,scores={right_click=1},nbt={SelectedItem:{id:"minecraft:yellow_dye",tag:{ui:1b}}}] run function deathswap:team/join/yellow
execute as @a[tag=!creative,scores={right_click=1},nbt={SelectedItem:{id:"minecraft:green_dye",tag:{ui:1b}}}] run function deathswap:team/join/green
execute as @a[tag=!creative,scores={right_click=1},nbt={SelectedItem:{id:"minecraft:gray_dye",tag:{ui:1b}}}] run function deathswap:team/join/spectator
scoreboard players set @a right_click 0


#notadmin
execute as @a[tag=notadmin,nbt=!{Inventory:[{Slot:22b,tag:{ui:1b}}]}] run function deathswap:ui/notadmin_ui

#team
execute if score team_choose setting matches 1 as @a[tag=notadmin,nbt=!{Inventory:[{Slot:-106b,tag:{ui:1b}}]}] run function deathswap:ui/notadmin_ui

execute if score team_choose setting matches 1 as @a[tag=!creative,nbt=!{Inventory:[{Slot:2b,tag:{ui:1b}}]}] run function deathswap:team/join/red
execute if score team_choose setting matches 1 as @a[tag=!creative,nbt=!{Inventory:[{Slot:3b,tag:{ui:1b}}]}] run function deathswap:team/join/blue
execute if score team_choose setting matches 1 as @a[tag=!creative,nbt=!{Inventory:[{Slot:5b,tag:{ui:1b}}]}] run function deathswap:team/join/yellow
execute if score team_choose setting matches 1 as @a[tag=!creative,nbt=!{Inventory:[{Slot:6b,tag:{ui:1b}}]}] run function deathswap:team/join/green
execute if score team_choose setting matches 1 as @a[tag=!creative,nbt=!{Inventory:[{Slot:4b,tag:{ui:1b}}]}] run function deathswap:team/join/spectator

execute if score team_choose setting matches 0 run item replace entity @a[tag=admin,tag=!creative] hotbar.2 with air
execute if score team_choose setting matches 0 run item replace entity @a[tag=admin,tag=!creative] hotbar.3 with air
execute if score team_choose setting matches 0 run item replace entity @a[tag=admin,tag=!creative] hotbar.4 with air
execute if score team_choose setting matches 0 run item replace entity @a[tag=admin,tag=!creative] hotbar.5 with air
execute if score team_choose setting matches 0 run item replace entity @a[tag=admin,tag=!creative] hotbar.6 with air
